package com.artfess.bpm.api.plugin.core.context;

import com.artfess.bpm.api.constant.EventType;

import java.util.List;

/**
 * 插件上下文接口。
 * @author ray
 *
 */
public interface BpmPluginContext extends PluginContext{
	/**
	 * 返回该插件关联的事件集合
	 * @return
	 * List<EventType>
	 * @exception
	 * @since  1.0.0
	 */
	public List<EventType> getEventTypes();

	public int getOrder();
}
